﻿<%@ Page Title="View Attachments" Language="C#" AutoEventWireup="true" CodeBehind="Attachments.aspx.cs"
	Inherits="Devolutions.RemoteDesktopManager.Server.Secure.AttachmentsPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>View Attachments</title>

    <script type="text/javascript" src="../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			$('#popupHolder').load(function()
			{
				window.parent.resizeIframe("#attachments-frame");
			});
		});

		$('#popupHolder').ready(function()
		{
			window.parent.resizeIframe("#attachments-frame");
		});
	</script>
    
    <link rel="stylesheet" type="text/css" href="../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<div class="grid" style="width: 99.2%;">
				<asp:GridView DataKeyNames="ID" SkinID="gridviewSkin" Width="99%" DataSourceID="odsGetAttachments" ID="GridView1" runat="server"
					AutoGenerateColumns="False" EmptyDataText="<div>No attachment entry found for this session</div>">
					<Columns>
					<asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
						<asp:BoundField DataField="Filename" HeaderText="Filename" SortExpression="Filename" />
						<asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
						<asp:BoundField DataField="CreationDateTime" DataFormatString="{0:MMM dd, yyyy}" HeaderText="Creation date" SortExpression="CreationDateTime" />
						<asp:BoundField DataField="FormattedSize" HeaderText="Size" SortExpression="FormattedSize" />
						<asp:BoundField DataField="CreatedBy" HeaderText="Created by" SortExpression="CreatedBy" />
						<asp:TemplateField HeaderText="Delete">
							<ItemTemplate>
								<asp:LinkButton ID="lnkDelete" runat="server" CommandName="Delete" Text="Delete" OnClientClick="javascript : return confirm('Really delete this file?');">
								</asp:LinkButton>
							</ItemTemplate>
							<ControlStyle CssClass="button blue smaller" />
							<ItemStyle Width="1%" />
						</asp:TemplateField>
					</Columns>
				</asp:GridView>
			</div>
			<rdm:ParentDataSource ID="odsGetAttachments" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.AttachmentsPage" runat="server"
				SelectMethod="GetAttachments" OnDeleting="odsGetAttachments_Deleting" DeleteMethod="DeleteAttachment">
			</rdm:ParentDataSource>
		</div>
	</form>
</body>
</html>
