﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DataSource.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.DataSource" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>

    <script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			$('#FormView1').load(function()
			{
				window.parent.resizeFancyBox();
			});
		});

		$('#FormView1').ready(function()
		{
			window.parent.resizeFancyBox();
		});
	</script>
    
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" DataSourceID="odsGetDataSourceInfo" runat="server">
				<ItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px; font-size: 11px">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:Label ID="txtName" Text='<%# Eval("Name") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblDescription" AssociatedControlID="txtDescription" Text="Description" runat="server" />
								<asp:Label Style="overflow: auto;" Height="85px" Width="245px" Text='<%# Eval("Description") %>' ID="txtDescription" runat="server" />
							</li>
							<li>
								<asp:CheckBox Text="Is enabled" Checked='<%# Eval("IsEnabled") %>' ID="chkIsEnabled" runat="server" Enabled="false" />
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfDataSourceId" runat="server" Value='<%# Eval("ID") %>' />
				</ItemTemplate>
				<InsertItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px;">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:TextBox ID="txtName" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" runat="server" Text="*" ErrorMessage="You must enter a valid name"></asp:RequiredFieldValidator>
							</li>
							<li>
								<asp:Label ID="lblDescription" AssociatedControlID="txtDescription" Text="Description" runat="server" />
								<asp:TextBox TextMode="MultiLine" Rows="4" ID="txtDescription" runat="server" />
							</li>
							<li>
								<asp:CheckBox Text="Is enabled" Checked="true" ID="chkIsEnabled" runat="server" />
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfDataSourceId" runat="server" />
				</InsertItemTemplate>
				<EditItemTemplate>
					<fieldset class="form" style="width: 400px; margin: 0 auto">
						<ul style="float: left; width: 390px;">
							<li>
								<asp:Label ID="lblName" AssociatedControlID="txtName" Text="Name" runat="server" />
								<asp:TextBox Text='<%# Eval("Name") %>' ID="txtName" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" runat="server" Text="*" ErrorMessage="You must enter a valid name"></asp:RequiredFieldValidator>
							</li>
							<li>
								<asp:Label ID="lblDescription" AssociatedControlID="txtDescription" Text="Description" runat="server" />
								<asp:TextBox Text='<%# Eval("Description") %>' TextMode="MultiLine" Rows="4" ID="txtDescription" runat="server" />
							</li>
							<li>
								<asp:CheckBox Text="Is enabled" Checked='<%# Eval("IsEnabled") %>' ID="chkIsEnabled" runat="server" />
							</li>
						</ul>
					</fieldset>
					<asp:HiddenField ID="hdfDataSourceId" runat="server" Value='<%# Eval("ID") %>' />
				</EditItemTemplate>
				<FooterTemplate>
					<asp:Label runat="server" ID="lblMessage" ForeColor="Red"></asp:Label>
				</FooterTemplate>
			</asp:FormView>
			<asp:ObjectDataSource ID="odsGetDataSourceInfo" runat="server" SelectMethod="GetDataSource" OnSelected="odsGetDataSourceInfo_Selected"
				TypeName="Devolutions.RemoteDesktopManager.Server.DataSourceManager">
				<SelectParameters>
					<asp:QueryStringParameter Name="dataSourceId" QueryStringField="id" DbType="String" />
					<asp:SessionParameter Name="userName" SessionField="USER_NAME" Type="String" />
				</SelectParameters>
			</asp:ObjectDataSource>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;">
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
		</div>
	</form>
</body>
</html>
