<%@ Page Title="Home" Language="C#" Theme="RDMS" MasterPageFile="~/LoggedSection.master" AutoEventWireup="true" CodeBehind="Home.aspx.cs"
         Inherits="Devolutions.RemoteDesktopManager.Server.Secure.Home" %>
<asp:Content runat="server" ID="head" ContentPlaceHolderID="headcontent">

    <script type="text/javascript" src="<%=this.ResolveUrl("~/Scripts/jqueryui/1.8.12/jquery-ui.min.js")%>"> </script>

    <script type="text/javascript">
	    $(document).ready(function() {

	        $(".accordion").accordion({
	                header: "> div > h3",
	                icons: {
	                    header: "ui-icon-circle-arrow-e",
	                    headerSelected: "ui-icon-circle-arrow-s"
	                },
	                autoHeight: false
	            });
	    });
	</script>

</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="SectionImage">
    <asp:Image ID="imgSection" CssClass="imgSection" Width="130px" ImageUrl="~/Images/home_big.png" runat="server" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
    <ul class="leftmenu">
        <li><asp:HyperLink ID="butDownload" NavigateUrl="http://remotedesktopmanager.com/Home/Download" runat="server" Text="Download Client" ToolTip="Download Remote Desktop Manager" /></li>
    </ul>
</asp:Content>


<asp:Content ID="Content2" ContentPlaceHolderID="maincontent" runat="server">
    <div class="homeBox lightgrey nomargins" style="font-size: 11px;">
        <h2>What is Remote Desktop Manager Server?</h2>
        <p>Remote Desktop Manager Server is a self-hosted repository for storing and sharing your remote connections and virtual machines.</p>
        <p>From here you can manage your Remote Desktop Manager's data source and add users and security groups.</p>
    </div>
    <div class="homeBox lightgrey nomargins" style="position: relative; font-size: 11px;">
        <h2>Getting started</h2>
        <div class="accordion">
            <div>
                <h3><a href="#">Download client</a></h3>
                <div>
                    <p>Remote Desktop Manager Server does not allow opening a connection directly from the web site for security reason. Use the client to connect to your sessions.</p>
                    <p><a class="button small blue" href="http://remotedesktopmanager.com/remotedesktopmanager/Home/Download" target="_blank">Download Remote Desktop Manager</a></p>
                </div>
            </div>
            <div>
                <h3><a href="#">Manage your Data Source</a></h3>
                <div style="display: none;">
                    <p>When your data source is correctly set, use the Remote Desktop Manager client to manage your sessions:</p>
                    <ul>
                        <li>Add session</li>
                        <li>Edit session</li>
                        <li>Delete session</li>
                    </ul>
                </div>
            </div>
            <div style="border: none;">
                <h3><a href="#">Edit your account</a></h3>
                <div style="display: none;">
                    <p>Change and edit your contact informations and your avatar in "<a href="./MyAccount.aspx">My Account</a>".</p>
                </div>
            </div>
        </div>
    </div>
</asp:Content>